Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.domain.validation
Class ValidationInterceptor

    java.lang.Object
      org.acegisecurity.domain.validation.ValidationInterceptor

All Implemented Interfaces:
  org.aopalliance.aop.Advice, org.aopalliance.intercept.Interceptor, org.aopalliance.intercept.MethodInterceptor, InitializingBean

    public class ValidationInterceptor

extends Object
implements org.aopalliance.intercept.MethodInterceptor, InitializingBean

Calls `ValidationManager` for method invocations.

For each method invocation, any argument that is assignable from `argumentClasses` and is non-`null` will be passed to the `ValidationManager` for processing.

Version:
  $Id: ValidationInterceptor.java,v 1.3 2005/11/17 00:55:50 benalex Exp $
Author:
  Ben Alex

Field Summary
`protected org.apache.commons.logging.Log` | `logger`

Constructor Summary
`ValidationInterceptor()`

Method Summary
`void` | `afterPropertiesSet()`
`Class[]` | `getArgumentClasses()`
`ValidationManager` | `getValidationManager()`
`Object` | `invoke(org.aopalliance.intercept.MethodInvocation mi)`
`void` | `setArgumentClasses(Class[] argumentClasses)`
`void` | `setValidationManager(ValidationManager validationManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final org.apache.commons.logging.Log logger

Constructor Detail

### ValidationInterceptor

    public ValidationInterceptor()

Method Detail

### setArgumentClasses

    public void setArgumentClasses(Class[] argumentClasses)

### getArgumentClasses

    public Class[] getArgumentClasses()

### setValidationManager

    public void setValidationManager(ValidationManager validationManager)

### getValidationManager

    public ValidationManager getValidationManager()

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

### invoke

    public Object invoke(org.aopalliance.intercept.MethodInvocation mi)
                  throws Throwable

  Specified by:
    `invoke` in interface `org.aopalliance.intercept.MethodInterceptor`
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.